//
//  URL+LocalCacheUrl.swift
//  schedule-connect
//
//  Created by Илья Лошкарёв on 12.04.2018.
//  Copyright © 2018 SFEDU. All rights reserved.
//

import Foundation

extension URL {
    /// Генерируем возможный путь к файлу кэша для текущего URL
    var localCachePath: URL {
        let cacheDir = FileManager.default.urls(for: .cachesDirectory, in: .userDomainMask).first!
        return cacheDir.appendingPathComponent(self.dataRepresentation.base64EncodedString())
    }
}
